# 1 "inflow.c"
 


















# 1 "u:\\c\\gnu\\include\\stdio.h" 1
 









# 1 "u:\\c\\gnu\\include\\compiler.h" 1
 
 







 




 












 
 
 
 
 
 
		 

 
 
 
 






# 54 "u:\\c\\gnu\\include\\compiler.h"







# 69 "u:\\c\\gnu\\include\\compiler.h"









# 98 "u:\\c\\gnu\\include\\compiler.h"


# 115 "u:\\c\\gnu\\include\\compiler.h"









 
 














      













# 167 "u:\\c\\gnu\\include\\compiler.h"







 







# 11 "u:\\c\\gnu\\include\\stdio.h" 2









typedef unsigned long   size_t;


 












			 









 





 













typedef	struct			 
	{
	long		_cnt;		 
	unsigned char	*_ptr;		 
	unsigned char	*_base;		 
	unsigned int	_flag;		 
	int		_file;		 
	long		_bsiz;		 
	unsigned char	_ch;		 
	}
	FILE;

 
typedef unsigned long fpos_t;




extern	FILE	_iob[];

 




 






 

  int	remove	(const char *) ;
  int	rename	(const char *, const char *) ;
  char *	tmpnam	(char *) ;
  FILE *	tmpfile	(void) ;

  int	fclose	(FILE *) ;
  int	fflush	(FILE *) ;

  FILE *	fopen	(const char *, const char *) ;
  FILE *	freopen	(const char *, const char *, FILE *) ;

  void	setbuf	(FILE *, char *) ;
  int	setvbuf	(FILE *, char *, int, size_t) ;






  int  fscanf  (FILE *, const char *, ...) ;
  int  scanf   (const char *, ...) ;
  int  sscanf  (const char *, const char *, ...) ;


  int	fprintf	(FILE *, const char *, ...) ;
  int	printf	(const char *, ...) ;
  int	sprintf	(char *, const char *, ...) ;

  int 	vfprintf (FILE *, const char *, char * ) ;
  int 	vprintf	 (const char *, char * ) ;
  int 	vsprintf (char *, const char *, char * ) ;

  int	fgetc	(FILE *) ;
  char	*fgets	(char *, int, FILE *) ;
  char	*gets	(char *) ;
  int	fputc	(int c, FILE *) ;
  int	fputs	(const char *, FILE *) ;
  int	puts	(const char *) ;
  int 	fungetc	(int, FILE *) ;

  size_t	fread	(void *, size_t, size_t, FILE *) ;
  size_t	fwrite	(const void *, size_t, size_t, FILE *) ;

  int	fgetpos	(FILE *, fpos_t *) ;
  int	fsetpos	(FILE *, fpos_t *) ;

  int	fseek	(FILE *, long, int) ;
  long	ftell	(FILE *) ;
  void	rewind	(FILE *) ;

  void	perror	(const char *) ;


  FILE	*fdopen	(int, const char *) ;
  FILE	*popen	(const char *, const char *) ;
  int	pclose	(FILE *) ;


  void	_binmode	(int) ;		 
  long 	getl	(FILE *) ;
  long 	putl	(long, FILE *) ;
  short 	getw	(FILE *) ;
  short 	putw	(short, FILE *) ;





 

  int	_filbuf	(FILE *) ;	 



# 182 "u:\\c\\gnu\\include\\stdio.h"















# 20 "inflow.c" 2

# 1 "defs.h" 1
 























extern char *savestring ();
extern char *concat ();
extern char *xmalloc (), *xrealloc ();
extern int parse_escape ();
extern char *reg_names[];

 










extern int quit_flag;

extern int immediate_quit;



 


enum command_class
{
  no_class = -1, class_run = 0, class_vars, class_stack,
  class_files, class_support, class_info, class_breakpoint,
  class_alias, class_obscure, class_user,
};

 









struct cleanup
{
  struct cleanup *next;
  void (*function) ();
  int arg;
};

extern void do_cleanups ();
extern void discard_cleanups ();
extern struct cleanup *make_cleanup ();
extern struct cleanup *save_cleanups ();
extern void restore_cleanups ();
extern void free_current_contents ();
extern void reinitialize_more_filter ();
extern void fputs_filtered ();
extern void fprintf_filtered ();
extern void printf_filtered ();
extern void print_spaces_filtered ();
extern char *tilde_expand ();

 


struct command_line
{
  struct command_line *next;
  char *line;
};

struct command_line *read_command_lines ();

 

char *current_directory;

# 21 "inflow.c" 2

# 1 "param.h" 1
 























 




 




 



 




 










 







 




 



 



 



 





 



 



 


 


 



 



 



 




 











 



 




 




 




 



 



 




 




 




 




 





 






 





 





 



 



 



 







 


 









 












 

 











 


 



# 281 "param.h"


 



 






# 340 "param.h"

 

 


# 355 "param.h"

 


# 378 "param.h"

 


























 






 

 













 








 



 



 









 







# 22 "inflow.c" 2

# 1 "frame.h" 1
 


















 

 





















typedef struct frame_info *FRAME;
typedef unsigned int 	FRAME_ADDR;



 








struct frame_info
  {
     
    FRAME_ADDR frame;
     


    unsigned int  pc;
     



    FRAME_ADDR next_frame;
     




     
    FRAME next, prev;
  };

 

struct frame_saved_regs
  {
     

    unsigned int  regs[18 ];
  };

 


extern FRAME selected_frame;

extern struct frame_info *get_frame_info ();
extern struct frame_info *get_prev_frame_info ();

extern FRAME create_new_frame ();

extern void get_frame_saved_regs ();

extern FRAME get_prev_frame ();
extern FRAME get_current_frame ();
extern FRAME get_next_frame ();

extern struct block *get_frame_block ();
extern struct block *get_current_block ();
extern struct block *get_selected_block ();
extern struct symbol *get_frame_function ();
extern struct symbol *get_pc_function ();

 
extern FRAME find_relative_frame ();

 

# 23 "inflow.c" 2

# 1 "inferior.h" 1
 



















 







struct inferior_status {
  int pc_changed;
  int stop_signal;
  int stop_pc;
  int stop_frame_address;
  int stop_breakpoint;
  int stop_step;
  int stop_stack_dummy;
  int stopped_by_random_signal;
  int trap_expected;
  unsigned int  step_range_start;
  unsigned int  step_range_end;
  FRAME_ADDR step_frame_address;
  int step_over_calls;
  unsigned int  step_resume_break_address;
  int stop_after_trap;
  int stop_after_attach;
  FRAME_ADDR selected_frame_address;
  int selected_level;
  struct command_line *breakpoint_commands;
  char stop_registers[(16*4+8) ];
  int restore_stack_info;
};

void save_inferior_status (), restore_inferior_status ();

 

extern char *inferior_io_terminal;

 

extern int inferior_pid;

 
extern int remote_debugging;

 
int remote_read_inferior_memory ();
int remote_write_inferior_memory ();

 

extern int stop_signal;

 

extern unsigned int  stop_pc;

 

extern FRAME_ADDR stop_frame_address;

 

extern int stop_breakpoint;

 

extern int stop_step;

 

extern int stop_stack_dummy;

 


extern int stopped_by_random_signal;

 



extern unsigned int  step_range_start;  
extern unsigned int  step_range_end;  

 



extern FRAME_ADDR step_frame_address;

 


extern int step_over_calls;

 



extern int step_multi;

 

extern char stop_registers[(16*4+8) ];

 


extern int pc_changed;

long read_memory_integer ();
# 24 "inflow.c" 2



# 1 "u:\\c\\gnu\\include\\mintbind.h" 1




# 1 "u:\\c\\gnu\\include\\osbind.h" 1
 





 







































































































# 1 "u:\\c\\gnu\\include\\ostruct.h" 1











 




 



 
typedef struct {
    long b_free;	 
    long b_total;	 
    long b_secsiz;	 
    long b_clsiz;	 
} _DISKINFO;

 
typedef struct {
  short time;
  short date;
} _DOSTIME;

 
typedef struct
{
        unsigned char maxlen;
        unsigned char actuallen;
        char    buffer[255];
} _CCONLINE;





 
typedef struct _dta {
    char 	    dta_buf[21];	 
    char            dta_attribute;	 
    unsigned short  dta_time;		 
    unsigned short  dta_date;		 
    long            dta_size;		 
    char            dta_name[14];	 
} _DTA;

 








 





 





 






 



 







 
typedef struct {
  short recsiz;          
  short clsiz;           
  short clsizb;          
  short rdlen;           
  short fsiz;            
  short fatrec;          
  short datrec;          
  short numcl;           
  short bflags;          
} _BPB;

 

 
typedef struct _md {
    struct _md	*md_next;	 
    long	 md_start;	 
    long	 md_length;	 
    long	 md_owner;	 
} _MD;

 
typedef struct {
    _MD *mp_free;		 
    _MD *mp_used;		 
    _MD *mp_rover;		 
} _MPB;


 



 







 
typedef struct {
    char    *ibuf;
    short   ibufsiz;
    short   ibufhd;
    short   ibuftl;
    short   ibuflow;
    short   ibufhi;
} _IOREC;

 
typedef struct {
	char	topmode;
	char	buttons;
	char	xparam;
	char	yparam;
} _PARAM;

 
typedef struct {
    void    (*midivec)	(void) ;
    void    (*vkbderr)	(void) ;
    void    (*vmiderr)	(void) ;
    void    (*statvec)	(void *) ;
    void    (*mousevec)	(void *) ;
    void    (*clockvec)	(void *) ;
    void    (*joyvec)	(void *) ;
    long    (*midisys)	(void) ;
    long    (*ikbdsys)	(void) ;
    char    kbstate;
} _KBDVECS;

 
typedef struct {
    void *unshift;	 
    void *shift;	 
    void *caps;		 
} _KEYTAB;

 
typedef struct
{
        void    *pb_scrptr;
        int     pb_offset;
        int     pb_width;
        int     pb_height;
        int     pb_left;
        int     pb_right;
        int     pb_screz;
        int     pb_prrez;
        void    *pb_colptr;
        int     pb_prtype;
        int     pb_prport;
        void    *pb_mask;
} _PBDEF;






# 111 "u:\\c\\gnu\\include\\osbind.h" 2



# 276 "u:\\c\\gnu\\include\\osbind.h"


 



 





# 302 "u:\\c\\gnu\\include\\osbind.h"


# 320 "u:\\c\\gnu\\include\\osbind.h"


# 338 "u:\\c\\gnu\\include\\osbind.h"


# 358 "u:\\c\\gnu\\include\\osbind.h"


# 380 "u:\\c\\gnu\\include\\osbind.h"


# 402 "u:\\c\\gnu\\include\\osbind.h"


# 422 "u:\\c\\gnu\\include\\osbind.h"


# 442 "u:\\c\\gnu\\include\\osbind.h"


# 473 "u:\\c\\gnu\\include\\osbind.h"


# 497 "u:\\c\\gnu\\include\\osbind.h"


# 515 "u:\\c\\gnu\\include\\osbind.h"


# 531 "u:\\c\\gnu\\include\\osbind.h"


# 549 "u:\\c\\gnu\\include\\osbind.h"


# 569 "u:\\c\\gnu\\include\\osbind.h"


# 601 "u:\\c\\gnu\\include\\osbind.h"


# 621 "u:\\c\\gnu\\include\\osbind.h"


# 641 "u:\\c\\gnu\\include\\osbind.h"


# 663 "u:\\c\\gnu\\include\\osbind.h"


# 681 "u:\\c\\gnu\\include\\osbind.h"


# 697 "u:\\c\\gnu\\include\\osbind.h"


# 719 "u:\\c\\gnu\\include\\osbind.h"


# 737 "u:\\c\\gnu\\include\\osbind.h"


# 757 "u:\\c\\gnu\\include\\osbind.h"


# 793 "u:\\c\\gnu\\include\\osbind.h"


# 831 "u:\\c\\gnu\\include\\osbind.h"


# 877 "u:\\c\\gnu\\include\\osbind.h"



# 912 "u:\\c\\gnu\\include\\osbind.h"


# 934 "u:\\c\\gnu\\include\\osbind.h"


# 964 "u:\\c\\gnu\\include\\osbind.h"


# 994 "u:\\c\\gnu\\include\\osbind.h"


# 1016 "u:\\c\\gnu\\include\\osbind.h"


# 1046 "u:\\c\\gnu\\include\\osbind.h"

# 1137 "u:\\c\\gnu\\include\\osbind.h"



 

 









































 




















	 









































































 










 





















 








































	 






















































 











 





































 












# 5 "u:\\c\\gnu\\include\\mintbind.h" 2







# 82 "u:\\c\\gnu\\include\\mintbind.h"




# 106 "u:\\c\\gnu\\include\\mintbind.h"


# 128 "u:\\c\\gnu\\include\\mintbind.h"


# 150 "u:\\c\\gnu\\include\\mintbind.h"


# 170 "u:\\c\\gnu\\include\\mintbind.h"

# 199 "u:\\c\\gnu\\include\\mintbind.h"




































































































































# 27 "inflow.c" 2







 

# 1 "u:\\c\\gnu\\include\\fcntl.h" 1
 



















 












 









 







 












struct flock {
	short l_type;



	short l_whence;
	long l_start;
	long l_len;
	short l_pid;
};







struct __open_file {
	short	status;		 
	short	flags;		 
};

# 99 "u:\\c\\gnu\\include\\fcntl.h"


extern struct __open_file __open_stat[40 ];
   

 
 
















  int fcntl (int f, int cmd, ...) ;






# 36 "inflow.c" 2


# 1 "u:\\c\\gnu\\include\\sys/param.h" 1

















# 38 "inflow.c" 2

# 1 "u:\\c\\gnu\\include\\sys/dir.h" 1
 












 


# 1 "u:\\c\\gnu\\include\\dirent.h" 1
 









# 1 "u:\\c\\gnu\\include\\types.h" 1


















typedef long  time_t;


typedef long off_t;

typedef unsigned char	u_char;
typedef unsigned short	u_short;
typedef unsigned long	u_long;

typedef unsigned short	dev_t;		 



typedef u_long		ino_t;		 
typedef unsigned short 		uid_t;		 
typedef unsigned short 		gid_t;		 
typedef int 		pid_t;		 
typedef void *		caddr_t;

# 1 "u:\\c\\gnu\\include\\utime.h" 1



struct utimbuf {			 
	time_t	actime;
	time_t	modtime;
};


# 38 "u:\\c\\gnu\\include\\types.h" 2







# 11 "u:\\c\\gnu\\include\\dirent.h" 2




# 1 "u:\\c\\gnu\\include\\limits.h" 1
 




















































 



 



  


 




































		 

 



















# 15 "u:\\c\\gnu\\include\\dirent.h" 2


















struct dirent {
       long            d_ino;           
       off_t           d_off;           
       short           d_reclen;        








       char            d_name[	31 +1];

};

# 57 "u:\\c\\gnu\\include\\dirent.h"


typedef struct _DIR {
	short	status;		 



	_DTA	dta;		 
	char	*dirname;	 

	struct dirent buf;	 
	long	handle;		 
} DIR;






 











  DIR *		opendir	(const char *dirname) ;
  struct dirent *readdir	(DIR *dirp) ;
  off_t		telldir (DIR *dirp) ;
  void		seekdir	(DIR *dirp, off_t loc) ;
  void		rewinddir (DIR *dirp) ;
  int		closedir  (DIR *dirp) ;






# 17 "u:\\c\\gnu\\include\\sys/dir.h" 2


# 39 "inflow.c" 2

# 1 "u:\\c\\gnu\\include\\signal.h" 1

















































typedef void   (*__Sigfunc) (int signum) ;
typedef short sig_atomic_t;





  __Sigfunc	signal	(int sig, __Sigfunc func) ;
  int		raise	(int sig) ;



struct sigaction {
	__Sigfunc	sa_handler;	 
	long		sa_mask;	 
 
	int 		sa_flags;	 
 

};

  long	sigsetmask (long mask) ;
  long	sigblock   (long mask) ;
  int	sigaction  (int, const struct sigaction *,
				struct sigaction *) ;
 









# 40 "inflow.c" 2


# 51 "inflow.c"

# 1 "u:\\c\\gnu\\include\\sys/ioctl.h" 1

# 1 "u:\\c\\gnu\\include\\ioctl.h" 1








































 







 






 





struct tchars {
	char	t_intrc;
	char	t_quitc;
	char	t_startc;
	char	t_stopc;
	char	t_eofc;
	char	t_brkc;
};

struct ltchars {
	char	t_suspc;
	char	t_dsuspc;
	char	t_rprntc;
	char	t_flushc;
	char	t_werasc;
	char	t_lnextc;
};











 
 


















 








struct xkey {
	short	xk_num;
	char	xk_def[8];
};

 















struct sgttyb {
	char	sg_ispeed;
	char	sg_ospeed;
	char	sg_erase;
	char	sg_kill;
	short	sg_flags;
};

struct winsize {
	short	ws_row;
	short	ws_col;
	short	ws_xpixel;
	short	ws_ypixel;
};

  int ioctl	(int, int, void *) ;
  int stty	(int, struct sgttyb *) ;
  int gtty	(int, struct sgttyb *) ;






# 2 "u:\\c\\gnu\\include\\sys/ioctl.h" 2


# 52 "inflow.c" 2


# 1 "u:\\c\\gnu\\include\\sgtty.h" 1



# 54 "inflow.c" 2










extern int errno;

 


int attach_flag;


 

static struct sgttyb  sg_inferior;
static struct sgttyb  sg_ours;

static int tflags_inferior;
static int tflags_ours;


static struct tchars tc_inferior;
static struct tchars tc_ours;



static struct ltchars ltc_inferior;
static struct ltchars ltc_ours;



static int lmode_inferior;
static int lmode_ours;



static int pgrp_inferior;
static int pgrp_ours;





 
static char *inferior_thisrun_terminal;

static void terminal_ours_1 ();

 

static int terminal_is_ours;

 


void
terminal_init_inferior ()
{
  if (remote_debugging)
    return;

  sg_inferior = sg_ours;
  tflags_inferior = tflags_ours;


  tc_inferior = tc_ours;



  ltc_inferior = ltc_ours;



  lmode_inferior = lmode_ours;



  pgrp_inferior = inferior_pid;


  terminal_is_ours = 1;
}

 


void
terminal_inferior ()
{
  if (remote_debugging)
    return;

  if (terminal_is_ours)    
    {
      fcntl (0, 	4	, tflags_inferior);
      fcntl (0, 	4	, tflags_inferior);
      ioctl (0, (('T'<< 8) | 1)  , &sg_inferior);


      ioctl (0, (('T'<< 8) | 3) , &tc_inferior);


      ioctl (0, (('T'<< 8) | 5) , &ltc_inferior);


      ioctl (0, (('T'<<8) | 255) , &lmode_inferior);



      ioctl (0, (('T'<< 8) | 7) , &pgrp_inferior);




    }
  terminal_is_ours = 0;
}

 







void
terminal_ours_for_output ()
{
  if (remote_debugging)
    return;

  terminal_ours_1 (1);
}

 



void
terminal_ours ()
{
  if (remote_debugging)
    return;

  terminal_ours_1 (0);
}

static void
terminal_ours_1 (output_only)
     int output_only;
{

   
  int (*osigttou) ();


  if (!terminal_is_ours)   
    {
      terminal_is_ours = 1;


      osigttou = (int (*) ()) signal (	22		, ((__Sigfunc)1L) );

      ioctl (0, (('T'<< 8) | 6) , &pgrp_inferior);
      ioctl (0, (('T'<< 8) | 7) , &pgrp_ours);

      signal (	22		, osigttou);





      tflags_inferior = fcntl (0, 	3	, 0);
      ioctl (0, (('T'<< 8) | 0) , &sg_inferior);


      ioctl (0, (('T'<< 8) | 2) , &tc_inferior);


      ioctl (0, (('T'<< 8) | 4) , &ltc_inferior);


      ioctl (0, (('T'<<8) | 254) , &lmode_inferior);

    }






  sg_ours.sg_flags &= ~	0x0010  & ~	0x0002 ;
  if (output_only)
    sg_ours.sg_flags |= (	0x0010  | 	0x0002 ) & sg_inferior.sg_flags;


  fcntl (0, 	4	, tflags_ours);
  fcntl (0, 	4	, tflags_ours);
  ioctl (0, (('T'<< 8) | 1)  , &sg_ours);


  ioctl (0, (('T'<< 8) | 3) , &tc_ours);


  ioctl (0, (('T'<< 8) | 5) , &ltc_ours);


  ioctl (0, (('T'<<8) | 255) , &lmode_ours);





  sg_ours.sg_flags &= ~	0x0010  & ~	0x0002 ;

}

static void
term_status_command ()
{
  register int i;

  if (remote_debugging)
    {
      printf_filtered ("No terminal status when remote debugging.\n");
      return;
    }

  printf_filtered ("Inferior's terminal status (currently saved by GDB):\n");

# 302 "inflow.c"


  printf_filtered ("fcntl flags = 0x%x, sgttyb.sg_flags = 0x%x, owner pid = %d.\n",
	  tflags_inferior, sg_inferior.sg_flags, pgrp_inferior);




  printf_filtered ("tchars: ");
  for (i = 0; i < sizeof (struct tchars); i++)
    printf_filtered ("0x%x ", ((char *)&tc_inferior)[i]);
  printf_filtered ("\n");



  printf_filtered ("ltchars: ");
  for (i = 0; i < sizeof (struct ltchars); i++)
    printf_filtered ("0x%x ", ((char *)&ltc_inferior)[i]);
  printf_filtered ("\n");
  ioctl (0, (('T'<< 8) | 5) , &ltc_ours);

  

  printf_filtered ("lmode:  %x\n", lmode_inferior);

}

static void
new_tty (ttyname)
     char *ttyname;
{
  register int tty;
  register int fd;

# 344 "inflow.c"


   

  tty = open(ttyname, 	0x02		);
  if (tty == -1)
    _exit(1);

   
  if (tty != 0)
    { close (0); dup (tty); }
  if (tty != 1)
    { close (1); dup (tty); }
  if (tty != 2)
    { close (2); dup (tty); }
  if (tty > 2)
    close(tty);
}

 







int
create_inferior (allargs, env)
     char *allargs;
     char **env;
{
  int pid;
# 449 "inflow.c"

	 


	char startprog[128		];
	char *args;
	int i;
	extern int inferior_handle;
	extern char inferior_name[64];	

	args=allargs+strlen("exec ");  
	for(i=0; *args && *args!=' ';args++,i++)startprog[i]=*args;
	startprog[i]=0;

	for(i=0; i<strlen(startprog);i++)if(startprog[i]=='/')startprog[i]='\\';
	
	while(*(args+1)==' ')args++;
	args[0]=strlen(args)>124 ? 124 : strlen(args);
 
	
	pid=(long)({	register long retvalue __asm__("d0");	short _a = (short)((short)(0x8000|100));	long  _b = (long) ((long)(startprog));	long  _c = (long) ( (long)(args));	long  _d = (long) ((long)(env));	__asm__ volatile	("		movl    %4,sp@-; 		movl    %3,sp@-; 		movl    %2,sp@-; 		movw    %1,sp@-; 		movw    %0,sp@- "	:	: "g"((short)(0x4B)), "r"(_a), "r"(_b), "r"(_c), "r"(_d) );	__asm__ volatile	("		trap    #1;			addw    #16,sp "	: "=r"(retvalue)	:	: "d0", "d1", "d2", "a0", "a1", "a2" );	retvalue;	})  ;
	if(pid<0)
	{
		fprintf((&_iob[2]) ,"couldn't start program %s, error #%d\n",startprog,pid);
		fflush((&_iob[2]) );
	}
	else
	{
		sprintf(inferior_name,"U:\\PROC\\.%03d",pid);
		inferior_handle=(long)({	register long retvalue __asm__("d0");	long  _a = (long) ((long)(inferior_name));	short _b = (short)((short)(2));	__asm__ volatile	("		movw    %3,sp@-; 		movl    %2,sp@-; 		movw    %1,sp@-; 		trap    #1;			addqw   #8,sp "	: "=r"(retvalue)	: "g"((short)(0x3D)), "r"(_a), "r"(_b)	: "d0", "d1", "d2", "a0", "a1", "a2" );	retvalue;	})  ;
	}


  return pid;
}

 

static void
kill_command ()
{
  if (remote_debugging)
    return;
  if (inferior_pid == 0)
    error ("The program is not being run.");
  if (!query ("Kill the inferior process? "))
    error ("Not confirmed.");
  kill_inferior ();
}

void
inferior_died ()
{
  inferior_pid = 0;
  attach_flag = 0;
  mark_breakpoints_out ();
  select_frame ((FRAME) 0, -1);
  reopen_exec_file ();
  if (have_core_file_p ())
    set_current_frame ( create_new_frame (read_register (14		),
					  read_pc ()));
  else
    set_current_frame (0);
}

# 551 "inflow.c"


void
_initialize_inflow ()
{
  add_com ("term-status", class_obscure, term_status_command,
	   "Print info on inferior's saved terminal status.");







  add_com ("kill", class_run, kill_command,
	   "Kill execution of program being debugged.");

  inferior_pid = 0;

  ioctl (0, (('T'<< 8) | 0) , &sg_ours);
  fcntl (0, 	3	, tflags_ours);


  ioctl (0, (('T'<< 8) | 2) , &tc_ours);


  ioctl (0, (('T'<< 8) | 4) , &ltc_ours);


  ioctl (0, (('T'<<8) | 254) , &lmode_ours);



  ioctl (0, (('T'<< 8) | 6) , &pgrp_ours);


  terminal_is_ours = 1;
}

